cant fix broken packages

Asked by georgekyr on 2011-12-12

giorgos@giorgosPC:~$ sudo fuser -vvv /var/lib/dpkg/lock
[sudo] password for giorgos:
giorgos@giorgosPC:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=11.10
DISTRIB_CODENAME=oneiric
DISTRIB_DESCRIPTION="Ubuntu 11.10"
giorgos@giorgosPC:~$ uname -a
Linux giorgosPC 3.0.0-14-generic #23-Ubuntu SMP Mon Nov 21 20:28:43 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
giorgos@giorgosPC:~$ sudo rm /var/lib/apt/lists/lock
giorgos@giorgosPC:~$ sudo cp -arf /var/lib/dpkg /var/lib/dpkg.backup
giorgos@giorgosPC:~$ sudo cp /var/lib/dpkg/status-old /var/lib/dpkg/status
giorgos@giorgosPC:~$ sudo cp /var/lib/dpkg/available-old /var/lib/dpkg/availablegiorgos@giorgosPC:~$ sudo rm -rf /var/lib/dpkg/updates/*
giorgos@giorgosPC:~$
giorgos@giorgosPC:~$ sudo rm -rf /var/lib/apt/lists
giorgos@giorgosPC:~$
giorgos@giorgosPC:~$ sudo rm /var/cache/apt/*.bin
giorgos@giorgosPC:~$
giorgos@giorgosPC:~$ sudo mkdir /var/lib/apt/lists
giorgos@giorgosPC:~$
giorgos@giorgosPC:~$ sudo mkdir /var/lib/apt/lists/partial
giorgos@giorgosPC:~$
giorgos@giorgosPC:~$ LANG=C;sudo apt-get clean
giorgos@giorgosPC:~$
giorgos@giorgosPC:~$ LANG=C;sudo apt-get autoclean
Reading package lists... Done
Building dependency tree
Reading state information... Done
giorgos@giorgosPC:~$
giorgos@giorgosPC:~$ LANG=C;sudo apt-get clean
giorgos@giorgosPC:~$ LANG=C;sudo apt-get autoclean
Reading package lists... Done
Building dependency tree
Reading state information... Done
giorgos@giorgosPC:~$ LANG=C;sudo apt-get --purge autoremove
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 libglib2.0-0 : Breaks: libglib2.0-0:i386 (!= 2.31.3+git20111207.3d686e3d-0ubuntu1~11.10~ricotz0) but 2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0 is installed
 libglib2.0-0:i386 : Breaks: libglib2.0-0 (!= 2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0) but 2.31.3+git20111207.3d686e3d-0ubuntu1~11.10~ricotz0 is installed
 libglib2.0-bin : Depends: libglib2.0-0 (= 2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0) but 2.31.3+git20111207.3d686e3d-0ubuntu1~11.10~ricotz0 is installed
E: Unmet dependencies. Try using -f.
giorgos@giorgosPC:~$ LANG=C;sudo apt-get update -o APT::Cache-Limit=25165824
Ign http://ppa.launchpad.net oneiric InRelease
Ign http://ppa.launchpad.net oneiric InRelease
Ign http://archive.ubuntu.com oneiric InRelease
Ign http://archive.ubuntu.com oneiric-updates InRelease
Ign http://archive.ubuntu.com oneiric-backports InRelease
Get:1 http://ppa.launchpad.net oneiric Release.gpg [316 B]
Ign http://extras.ubuntu.com oneiric InRelease
Ign http://archive.canonical.com oneiric InRelease
Ign http://archive.ubuntu.com oneiric-security InRelease
Get:2 http://archive.ubuntu.com oneiric Release.gpg [198 B]
Get:3 http://ppa.launchpad.net oneiric Release.gpg [316 B]
Get:4 http://archive.ubuntu.com oneiric-updates Release.gpg [198 B]
Get:5 http://archive.ubuntu.com oneiric-backports Release.gpg [198 B]
Get:6 http://extras.ubuntu.com oneiric Release.gpg [72 B]
Get:7 http://archive.canonical.com oneiric Release.gpg [198 B]
Get:8 http://ppa.launchpad.net oneiric Release [9752 B]
Get:9 http://archive.ubuntu.com oneiric-security Release.gpg [198 B]
Get:10 http://extras.ubuntu.com oneiric Release [9759 B]
Get:11 http://archive.canonical.com oneiric Release [5922 B]
Get:12 http://archive.ubuntu.com oneiric Release [40.8 kB]
Get:13 http://ppa.launchpad.net oneiric Release [9757 B]
Get:14 http://ppa.launchpad.net oneiric/main Sources [14.0 kB]
Get:15 http://archive.ubuntu.com oneiric-updates Release [32.4 kB]
Get:16 http://ppa.launchpad.net oneiric/main amd64 Packages [26.4 kB]
Get:17 http://archive.canonical.com oneiric/partner amd64 Packages [3081 B]
Get:18 http://archive.ubuntu.com oneiric-backports Release [24.3 kB]
Get:19 http://ppa.launchpad.net oneiric/main i386 Packages [26.3 kB]
Get:20 http://archive.ubuntu.com oneiric-security Release [32.4 kB]
Get:21 http://extras.ubuntu.com oneiric/main Sources [14 B]
Get:22 http://archive.ubuntu.com oneiric/main Sources [877 kB]
Ign http://ppa.launchpad.net oneiric/main TranslationIndex
Get:23 http://ppa.launchpad.net oneiric/main Sources [1310 B]
Get:24 http://ppa.launchpad.net oneiric/main amd64 Packages [1813 B]
Get:25 http://ppa.launchpad.net oneiric/main i386 Packages [1902 B]
Ign http://ppa.launchpad.net oneiric/main TranslationIndex
Get:26 http://archive.canonical.com oneiric/partner i386 Packages [3512 B]
Ign http://archive.canonical.com oneiric/partner TranslationIndex
Get:27 http://extras.ubuntu.com oneiric/main amd64 Packages [14 B]
Get:28 http://extras.ubuntu.com oneiric/main i386 Packages [14 B]
Ign http://extras.ubuntu.com oneiric/main TranslationIndex
Ign http://archive.canonical.com oneiric/partner Translation-en
Ign http://extras.ubuntu.com oneiric/main Translation-en
Ign http://ppa.launchpad.net oneiric/main Translation-en
Get:29 http://archive.ubuntu.com oneiric/restricted Sources [5351 B]
Get:30 http://archive.ubuntu.com oneiric/universe Sources [4677 kB]
Ign http://ppa.launchpad.net oneiric/main Translation-en
Ign http://dl.google.com stable InRelease
Get:31 http://dl.google.com stable Release.gpg [198 B]
Get:32 http://dl.google.com stable Release [1347 B]
Get:33 http://dl.google.com stable/main amd64 Packages [1230 B]
Get:34 http://dl.google.com stable/main i386 Packages [1228 B]
Ign http://dl.google.com stable/main TranslationIndex
Get:35 http://archive.ubuntu.com oneiric/multiverse Sources [149 kB]
Get:36 http://archive.ubuntu.com oneiric/main amd64 Packages [1226 kB]
Get:37 http://archive.ubuntu.com oneiric/restricted amd64 Packages [8261 B]
Get:38 http://archive.ubuntu.com oneiric/universe amd64 Packages [4460 kB]
Get:39 http://archive.ubuntu.com oneiric/multiverse amd64 Packages [117 kB]
Get:40 http://archive.ubuntu.com oneiric/main i386 Packages [1226 kB]
Ign http://dl.google.com stable/main Translation-en
Get:41 http://archive.ubuntu.com oneiric/restricted i386 Packages [8216 B]
Get:42 http://archive.ubuntu.com oneiric/universe i386 Packages [4468 kB]
Get:43 http://archive.ubuntu.com oneiric/multiverse i386 Packages [119 kB]
Get:44 http://archive.ubuntu.com oneiric/main TranslationIndex [3289 B]
Get:45 http://archive.ubuntu.com oneiric/multiverse TranslationIndex [2265 B]
Get:46 http://archive.ubuntu.com oneiric/restricted TranslationIndex [2263 B]
Get:47 http://archive.ubuntu.com oneiric/universe TranslationIndex [2640 B]
Get:48 http://archive.ubuntu.com oneiric-updates/main Sources [95.9 kB]
Get:49 http://archive.ubuntu.com oneiric-updates/restricted Sources [1348 B]
Get:50 http://archive.ubuntu.com oneiric-updates/universe Sources [26.1 kB]
Get:51 http://archive.ubuntu.com oneiric-updates/multiverse Sources [1992 B]
Get:52 http://archive.ubuntu.com oneiric-updates/main amd64 Packages [223 kB]
Get:53 http://archive.ubuntu.com oneiric-updates/restricted amd64 Packages [2966 B]
Get:54 http://archive.ubuntu.com oneiric-updates/universe amd64 Packages [64.8 kB]
Get:55 http://archive.ubuntu.com oneiric-updates/multiverse amd64 Packages [3763 B]
Get:56 http://archive.ubuntu.com oneiric-updates/main i386 Packages [223 kB]
Get:57 http://archive.ubuntu.com oneiric-updates/restricted i386 Packages [2935 B]
Get:58 http://archive.ubuntu.com oneiric-updates/universe i386 Packages [65.1 kB]
Get:59 http://archive.ubuntu.com oneiric-updates/multiverse i386 Packages [4396 B]
Get:60 http://archive.ubuntu.com oneiric-updates/main TranslationIndex [74 B]
Get:61 http://archive.ubuntu.com oneiric-updates/multiverse TranslationIndex [72 B]
Get:62 http://archive.ubuntu.com oneiric-updates/restricted TranslationIndex [71 B]
Get:63 http://archive.ubuntu.com oneiric-updates/universe TranslationIndex [73 B]
Get:64 http://archive.ubuntu.com oneiric-backports/main Sources [1577 B]
Get:65 http://archive.ubuntu.com oneiric-backports/restricted Sources [14 B]
Get:66 http://archive.ubuntu.com oneiric-backports/universe Sources [5071 B]
Get:67 http://archive.ubuntu.com oneiric-backports/multiverse Sources [14 B]
Get:68 http://archive.ubuntu.com oneiric-backports/main amd64 Packages [1905 B]
Get:69 http://archive.ubuntu.com oneiric-backports/restricted amd64 Packages [14 B]
Get:70 http://archive.ubuntu.com oneiric-backports/universe amd64 Packages [5207 B]
Get:71 http://archive.ubuntu.com oneiric-backports/multiverse amd64 Packages [14 B]
Get:72 http://archive.ubuntu.com oneiric-backports/main i386 Packages [1912 B]
Get:73 http://archive.ubuntu.com oneiric-backports/restricted i386 Packages [14 B]
Get:74 http://archive.ubuntu.com oneiric-backports/universe i386 Packages [5199 B]
Get:75 http://archive.ubuntu.com oneiric-backports/multiverse i386 Packages [14 B]
Get:76 http://archive.ubuntu.com oneiric-backports/main TranslationIndex [72 B]
Get:77 http://archive.ubuntu.com oneiric-backports/multiverse TranslationIndex [70 B]
Get:78 http://archive.ubuntu.com oneiric-backports/restricted TranslationIndex [70 B]
Get:79 http://archive.ubuntu.com oneiric-backports/universe TranslationIndex [72 B]
Get:80 http://archive.ubuntu.com oneiric-security/main Sources [20.2 kB]
Get:81 http://archive.ubuntu.com oneiric-security/restricted Sources [14 B]
Get:82 http://archive.ubuntu.com oneiric-security/universe Sources [5590 B]
Get:83 http://archive.ubuntu.com oneiric-security/multiverse Sources [653 B]
Get:84 http://archive.ubuntu.com oneiric-security/main amd64 Packages [60.0 kB]
Get:85 http://archive.ubuntu.com oneiric-security/restricted amd64 Packages [14 B]
Get:86 http://archive.ubuntu.com oneiric-security/universe amd64 Packages [16.6 kB]
Get:87 http://archive.ubuntu.com oneiric-security/multiverse amd64 Packages [919 B]
Get:88 http://archive.ubuntu.com oneiric-security/main i386 Packages [60.5 kB]
Get:89 http://archive.ubuntu.com oneiric-security/restricted i386 Packages [14 B]
Get:90 http://archive.ubuntu.com oneiric-security/universe i386 Packages [16.5 kB]
Get:91 http://archive.ubuntu.com oneiric-security/multiverse i386 Packages [1653 B]
Get:92 http://archive.ubuntu.com oneiric-security/main TranslationIndex [73 B]
Get:93 http://archive.ubuntu.com oneiric-security/multiverse TranslationIndex [71 B]
Get:94 http://archive.ubuntu.com oneiric-security/restricted TranslationIndex [70 B]
Get:95 http://archive.ubuntu.com oneiric-security/universe TranslationIndex [73 B]
Get:96 http://archive.ubuntu.com oneiric/main Translation-en [701 kB]
Get:97 http://archive.ubuntu.com oneiric/multiverse Translation-en [92.6 kB]
Get:98 http://archive.ubuntu.com oneiric/restricted Translation-en [2229 B]
Get:99 http://archive.ubuntu.com oneiric/universe Translation-en [3165 kB]
Get:100 http://archive.ubuntu.com oneiric-updates/main Translation-en [102 kB]
Get:101 http://archive.ubuntu.com oneiric-updates/multiverse Translation-en [2419 B]
Get:102 http://archive.ubuntu.com oneiric-updates/restricted Translation-en [508 B]
Get:103 http://archive.ubuntu.com oneiric-updates/universe Translation-en [40.2 kB]
Get:104 http://archive.ubuntu.com oneiric-backports/main Translation-en [1203 B]
Get:105 http://archive.ubuntu.com oneiric-backports/multiverse Translation-en [14 B]
Get:106 http://archive.ubuntu.com oneiric-backports/restricted Translation-en [14 B]
Get:107 http://archive.ubuntu.com oneiric-backports/universe Translation-en [4803 B]
Get:108 http://archive.ubuntu.com oneiric-security/main Translation-en [31.4 kB]
Get:109 http://archive.ubuntu.com oneiric-security/multiverse Translation-en [840 B]
Get:110 http://archive.ubuntu.com oneiric-security/restricted Translation-en [14 B]
Get:111 http://archive.ubuntu.com oneiric-security/universe Translation-en [11.5 kB]
Fetched 22.7 MB in 17s (1289 kB/s)
E: Dynamic MMap ran out of room. Please increase the size of APT::Cache-Limit. Current value: 25165824. (man 5 apt.conf)
Reading package lists... Error!
E: Unable to increase the size of the MMap as the limit of 25165824 bytes is already reached.
E: Dynamic MMap ran out of room. Please increase the size of APT::Cache-Limit. Current value: 25165824. (man 5 apt.conf)
E: Error occurred while processing libghc-url-dev (NewFileDesc2)
E: Problem with MergeList /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_oneiric_universe_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.
giorgos@giorgosPC:~$ sudo dpkg --clear-avail
giorgos@giorgosPC:~$ sudo dpkg --clear-avail
giorgos@giorgosPC:~$ sudo dpkg --configure -a
dpkg: dependency problems prevent configuration of libglib2.0-bin:
 libglib2.0-bin depends on libglib2.0-0 (= 2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0); however:
  Version of libglib2.0-0 on system is 2.31.3+git20111207.3d686e3d-0ubuntu1~11.10~ricotz0.
dpkg: error processing libglib2.0-bin (--configure):
 dependency problems - leaving unconfigured
dpkg: error processing libglib2.0-0:i386 (--configure):
 libglib2.0-0:i386 2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0 cannot be configured because libglib2.0-0:amd64 is in a different version (2.31.3+git20111207.3d686e3d-0ubuntu1~11.10~ricotz0)
Errors were encountered while processing:
 libglib2.0-bin
 libglib2.0-0:i386
giorgos@giorgosPC:~$ LANG=C;sudo apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  libcheese1 cheese-common libclutter-gst-1.0-0 gnome-video-effects
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libglib2.0-0
The following packages will be upgraded:
  libglib2.0-0
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
Need to get 1943 kB of archives.
After this operation, 61.4 kB of additional disk space will be used.
Do you want to continue [Y/n]? Y
Get:1 http://ppa.launchpad.net/ricotz/testing/ubuntu/ oneiric/main libglib2.0-0 amd64 2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0 [1943 kB]
Fetched 1943 kB in 1s (1020 kB/s)
(Reading database ... 197037 files and directories currently installed.)
Preparing to replace libglib2.0-0 2.31.3+git20111207.3d686e3d-0ubuntu1~11.10~ricotz0 (using .../libglib2.0-0_2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0_amd64.deb) ...
Unpacking replacement libglib2.0-0 ...
dpkg: error processing /var/cache/apt/archives/libglib2.0-0_2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0_amd64.deb (--unpack):
 './usr/share/doc/libglib2.0-0/ChangeLog.pre-2-2.gz' is different from the same file on the system
Errors were encountered while processing:
 /var/cache/apt/archives/libglib2.0-0_2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
giorgos@giorgosPC:~$ LANG=C;sudo apt-get --fix-missing install
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 libglib2.0-0 : Breaks: libglib2.0-0:i386 (!= 2.31.3+git20111207.3d686e3d-0ubuntu1~11.10~ricotz0) but 2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0 is installed
 libglib2.0-0:i386 : Breaks: libglib2.0-0 (!= 2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0) but 2.31.3+git20111207.3d686e3d-0ubuntu1~11.10~ricotz0 is installed
 libglib2.0-bin : Depends: libglib2.0-0 (= 2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0) but 2.31.3+git20111207.3d686e3d-0ubuntu1~11.10~ricotz0 is installed
E: Unmet dependencies. Try using -f.
giorgos@giorgosPC:~$ LANG=C;sudo apt-get update -o APT::Cache-Limit=25165824 && sudo apt-get dist-upgrade
Ign http://ppa.launchpad.net oneiric InRelease
Ign http://ppa.launchpad.net oneiric InRelease
Ign http://archive.ubuntu.com oneiric InRelease
Ign http://archive.ubuntu.com oneiric-updates InRelease
Ign http://archive.ubuntu.com oneiric-backports InRelease
Ign http://dl.google.com stable InRelease
Hit http://ppa.launchpad.net oneiric Release.gpg
Ign http://archive.canonical.com oneiric InRelease
Ign http://extras.ubuntu.com oneiric InRelease
Ign http://archive.ubuntu.com oneiric-security InRelease
Hit http://archive.ubuntu.com oneiric Release.gpg
Hit http://ppa.launchpad.net oneiric Release.gpg
Hit http://archive.ubuntu.com oneiric-updates Release.gpg
Hit http://archive.ubuntu.com oneiric-backports Release.gpg
Hit http://archive.canonical.com oneiric Release.gpg
Hit http://extras.ubuntu.com oneiric Release.gpg
Hit http://ppa.launchpad.net oneiric Release
Get:1 http://dl.google.com stable Release.gpg [198 B]
Hit http://archive.ubuntu.com oneiric-security Release.gpg
Hit http://ppa.launchpad.net oneiric Release
Hit http://archive.canonical.com oneiric Release
Hit http://archive.ubuntu.com oneiric Release
Hit http://archive.ubuntu.com oneiric-updates Release
Hit http://extras.ubuntu.com oneiric Release
Hit http://ppa.launchpad.net oneiric/main Sources
Hit http://archive.ubuntu.com oneiric-backports Release
Hit http://ppa.launchpad.net oneiric/main amd64 Packages
Hit http://ppa.launchpad.net oneiric/main i386 Packages
Ign http://ppa.launchpad.net oneiric/main TranslationIndex
Hit http://archive.canonical.com oneiric/partner amd64 Packages
Hit http://ppa.launchpad.net oneiric/main Sources
Hit http://ppa.launchpad.net oneiric/main amd64 Packages
Hit http://ppa.launchpad.net oneiric/main i386 Packages
Hit http://archive.ubuntu.com oneiric-security Release
Hit http://extras.ubuntu.com oneiric/main Sources
Ign http://ppa.launchpad.net oneiric/main TranslationIndex
Hit http://archive.ubuntu.com oneiric/main Sources
Hit http://archive.ubuntu.com oneiric/restricted Sources
Hit http://archive.ubuntu.com oneiric/universe Sources
Hit http://archive.ubuntu.com oneiric/multiverse Sources
Hit http://archive.ubuntu.com oneiric/main amd64 Packages
Hit http://archive.canonical.com oneiric/partner i386 Packages
Ign http://archive.canonical.com oneiric/partner TranslationIndex
Hit http://archive.ubuntu.com oneiric/restricted amd64 Packages
Hit http://archive.ubuntu.com oneiric/universe amd64 Packages
Hit http://archive.ubuntu.com oneiric/multiverse amd64 Packages
Hit http://archive.ubuntu.com oneiric/main i386 Packages
Hit http://archive.ubuntu.com oneiric/restricted i386 Packages
Hit http://archive.ubuntu.com oneiric/universe i386 Packages
Hit http://archive.ubuntu.com oneiric/multiverse i386 Packages
Hit http://archive.ubuntu.com oneiric/main TranslationIndex
Hit http://archive.ubuntu.com oneiric/multiverse TranslationIndex
Hit http://extras.ubuntu.com oneiric/main amd64 Packages
Hit http://extras.ubuntu.com oneiric/main i386 Packages
Ign http://extras.ubuntu.com oneiric/main TranslationIndex
Hit http://archive.ubuntu.com oneiric/restricted TranslationIndex
Hit http://archive.ubuntu.com oneiric/universe TranslationIndex
Hit http://archive.ubuntu.com oneiric-updates/main Sources
Hit http://archive.ubuntu.com oneiric-updates/restricted Sources
Hit http://archive.ubuntu.com oneiric-updates/universe Sources
Hit http://archive.ubuntu.com oneiric-updates/multiverse Sources
Get:2 http://dl.google.com stable Release [1347 B]
Hit http://archive.ubuntu.com oneiric-updates/main amd64 Packages
Hit http://archive.ubuntu.com oneiric-updates/restricted amd64 Packages
Hit http://archive.ubuntu.com oneiric-updates/universe amd64 Packages
Hit http://archive.ubuntu.com oneiric-updates/multiverse amd64 Packages
Hit http://archive.ubuntu.com oneiric-updates/main i386 Packages
Hit http://archive.ubuntu.com oneiric-updates/restricted i386 Packages
Hit http://archive.ubuntu.com oneiric-updates/universe i386 Packages
Hit http://archive.ubuntu.com oneiric-updates/multiverse i386 Packages
Hit http://archive.ubuntu.com oneiric-updates/main TranslationIndex
Hit http://archive.ubuntu.com oneiric-updates/multiverse TranslationIndex
Hit http://archive.ubuntu.com oneiric-updates/restricted TranslationIndex
Hit http://archive.ubuntu.com oneiric-updates/universe TranslationIndex
Hit http://archive.ubuntu.com oneiric-backports/main Sources
Hit http://archive.ubuntu.com oneiric-backports/restricted Sources
Hit http://archive.ubuntu.com oneiric-backports/universe Sources
Hit http://archive.ubuntu.com oneiric-backports/multiverse Sources
Hit http://archive.ubuntu.com oneiric-backports/main amd64 Packages
Hit http://archive.ubuntu.com oneiric-backports/restricted amd64 Packages
Hit http://archive.ubuntu.com oneiric-backports/universe amd64 Packages
Get:3 http://dl.google.com stable/main amd64 Packages [1230 B]
Hit http://archive.ubuntu.com oneiric-backports/multiverse amd64 Packages
Hit http://archive.ubuntu.com oneiric-backports/main i386 Packages
Hit http://archive.ubuntu.com oneiric-backports/restricted i386 Packages
Hit http://archive.ubuntu.com oneiric-backports/universe i386 Packages
Hit http://archive.ubuntu.com oneiric-backports/multiverse i386 Packages
Hit http://archive.ubuntu.com oneiric-backports/main TranslationIndex
Hit http://archive.ubuntu.com oneiric-backports/multiverse TranslationIndex
Hit http://archive.ubuntu.com oneiric-backports/restricted TranslationIndex
Hit http://archive.ubuntu.com oneiric-backports/universe TranslationIndex
Hit http://archive.ubuntu.com oneiric-security/main Sources
Hit http://archive.ubuntu.com oneiric-security/restricted Sources
Hit http://archive.ubuntu.com oneiric-security/universe Sources
Hit http://archive.ubuntu.com oneiric-security/multiverse Sources
Hit http://archive.ubuntu.com oneiric-security/main amd64 Packages
Hit http://archive.ubuntu.com oneiric-security/restricted amd64 Packages
Hit http://archive.ubuntu.com oneiric-security/universe amd64 Packages
Hit http://archive.ubuntu.com oneiric-security/multiverse amd64 Packages
Hit http://archive.ubuntu.com oneiric-security/main i386 Packages
Hit http://archive.ubuntu.com oneiric-security/restricted i386 Packages
Hit http://archive.ubuntu.com oneiric-security/universe i386 Packages
Hit http://archive.ubuntu.com oneiric-security/multiverse i386 Packages
Ign http://archive.canonical.com oneiric/partner Translation-en
Hit http://archive.ubuntu.com oneiric-security/main TranslationIndex
Hit http://archive.ubuntu.com oneiric-security/multiverse TranslationIndex
Hit http://archive.ubuntu.com oneiric-security/restricted TranslationIndex
Hit http://archive.ubuntu.com oneiric-security/universe TranslationIndex
Hit http://archive.ubuntu.com oneiric/main Translation-en
Hit http://archive.ubuntu.com oneiric/multiverse Translation-en
Hit http://archive.ubuntu.com oneiric/restricted Translation-en
Hit http://archive.ubuntu.com oneiric/universe Translation-en
Hit http://archive.ubuntu.com oneiric-updates/main Translation-en
Ign http://extras.ubuntu.com oneiric/main Translation-en
Ign http://ppa.launchpad.net oneiric/main Translation-en
Hit http://archive.ubuntu.com oneiric-updates/multiverse Translation-en
Hit http://archive.ubuntu.com oneiric-updates/restricted Translation-en
Hit http://archive.ubuntu.com oneiric-updates/universe Translation-en
Hit http://archive.ubuntu.com oneiric-backports/main Translation-en
Hit http://archive.ubuntu.com oneiric-backports/multiverse Translation-en
Hit http://archive.ubuntu.com oneiric-backports/restricted Translation-en
Ign http://ppa.launchpad.net oneiric/main Translation-en
Hit http://archive.ubuntu.com oneiric-backports/universe Translation-en
Hit http://archive.ubuntu.com oneiric-security/main Translation-en
Hit http://archive.ubuntu.com oneiric-security/multiverse Translation-en
Hit http://archive.ubuntu.com oneiric-security/restricted Translation-en
Hit http://archive.ubuntu.com oneiric-security/universe Translation-en
Get:4 http://dl.google.com stable/main i386 Packages [1228 B]
Ign http://dl.google.com stable/main TranslationIndex
Ign http://dl.google.com stable/main Translation-en
Fetched 4003 B in 8s (489 B/s)
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 libglib2.0-0 : Breaks: libglib2.0-0:i386 (!= 2.31.3+git20111207.3d686e3d-0ubuntu1~11.10~ricotz0) but 2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0 is installed
 libglib2.0-0:i386 : Breaks: libglib2.0-0 (!= 2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0) but 2.31.3+git20111207.3d686e3d-0ubuntu1~11.10~ricotz0 is installed
 libglib2.0-bin : Depends: libglib2.0-0 (= 2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0) but 2.31.3+git20111207.3d686e3d-0ubuntu1~11.10~ricotz0 is installed
E: Unmet dependencies. Try using -f.
giorgos@giorgosPC:~$

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu apt Edit question
Assignee:
No assignee Edit question
Last query:
2011-12-12
Last reply:
2011-12-12

Can you give the output of:

apt-cache policy libglib2.0-bin

Thanks

and why do you have 32bit packages installed on your 32bit OS?

georgekyr (kyrgeo13) said : #3

giorgos@giorgosPC:~$ apt-cache policy libglib2.0-bin
libglib2.0-bin:
  Installed: 2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0
  Candidate: 2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0
  Version table:
 *** 2.31.3+git20111211.84048265-0ubuntu1~11.10~ricotz0 0
        500 http://ppa.launchpad.net/ricotz/testing/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status
     2.30.0-0ubuntu4 0
        500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
giorgos@giorgosPC:~$

georgekyr (kyrgeo13) said : #4

my OS is 64 bit

Then you have added some PPA, I suggest you remove it and inform the maintainer. You will have fewer issues if you stick to the official repos especialy for things as crucial as the things you are having issues with.

georgekyr (kyrgeo13) said : #6

how can i remove all the unofficial repos?

How did you add the ppa?

georgekyr (kyrgeo13) said : #8

some from the software center and some using the terminal

sudo apt-get -y install ppa-purge && sudo ppa-purge ppa:ricotz/testing

Should do it, assuming ppa-purge installs ok

I suggest you contact the maintainer:
https://launchpad.net/~ricotz

georgekyr (kyrgeo13) said : #11

thanks, i subscribed ricotz. hoping for answer..

Rico Tzschichholz (ricotz) said : #12

I would suggest doing the following if you haven't purged the ppa yet.

sudo apt-get update
sudo apt-get -f install
sudo apt-get upgrade

This specific problem isn't related to the nature of my ppa, so this can happen in the official repos too.
Having i386 packages on a 64bit system is normal after the wide introduction of multiarch in oneiric.

georgekyr (kyrgeo13) said : #13

this just removed everything: unity, browsers, etc

Rico Tzschichholz (ricotz) said : #14

To be clear, you hadn't used ppa-purge before that yet?

Otherwise this doesn't sound so good.
You should be able to kind of recover it with "apt-get install ubuntu-desktop".

georgekyr (kyrgeo13) said : #15

how do i know if i used ppa-purge?
"apt-get install ubuntu-desktop" doesn't recovers unity. it returns:

 Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 ubuntu-desktop : Depends: unity but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Rico Tzschichholz (ricotz) said : #16

Looks like "sudo apt-get -f install" didn't ran through and fix the dependency issue even if it removed things. You should post errors if some occur.

georgekyr (kyrgeo13) said : #17

should i run again "sudo apt-get -f install"?

Rico Tzschichholz (ricotz) said : #18

Yes, following with installing ubuntu-desktop.
(Fyi, if a command returns an error don't just run the next suggested one)

georgekyr (kyrgeo13) said : #19

it still returns the same error

Rico Tzschichholz (ricotz) said : #20

(You are able to find help here too: http://ubuntuforums.org/forumdisplay.php?f=333)

Rico Tzschichholz (ricotz) said : #21

Sorry, do "sudo rm /usr/share/doc/libglib2.0-0/ChangeLog.pre-2-2.gz" followed by apt-get -f install.

georgekyr (kyrgeo13) said : #23

still the same. i will try in ubuntu forums too

Can you help with this problem?

Provide an answer of your own, or ask georgekyr for more information if necessary.

To post a message you must log in.